| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Codec

# Method Codec()->nameof()

Method nameof

  `mixed nameof(object|function|program x)`

Description

  Called by encode_value() to encode objects, functions and programs.

Returns

  Returns something encodable on success, typically a string. The returned value will be passed to the corresponding objectof() , functionof() or programof() by decode_value() .

  Returns UNDEFINED on failure.

Note

  encode_value() has fallbacks for some classes of objects, functions and programs.

See also

  objectof() , functionof() , objectof()